<?php
// Appel de la petite bibliothèque de fonctions
include "sparqlcurl.php";
// Langue de la DBpedia utilisée
$lg_db="fr";

//Requête SparQL (limitée à 10 réponses)
$req="
SELECT DISTINCT ?ressource, ?image
    WHERE {
    ?ressource <http://fr.dbpedia.org/property/wikiPageUsesTemplate>
        <http://fr.dbpedia.org/resource/Modèle:Infobox_Art>;
    <http://dbpedia.org/ontology/thumbnail> ?image
    }
    LIMIT 10
";

//Construction de l'url de requête
$requestURL = getUrlDbpediaAbstract($req,$lg_db);

//Réponse à la requête (par cURL)
$result=request($requestURL);

//Mise en tableau de la chaîne JSON reçue
$tab_res=json_decode($result,true);

//Parcours des résultats 
$i=0;
foreach($tab_res['results']['bindings'] as $enreg=>$tabval){
    // Pour chaque ligne de résulat on récupère la ressource et l'image
    $ressource=$tab_res["results"]["bindings"][$i]["ressource"]["value"];
    $image=$tab_res["results"]["bindings"][$i]["image"]["value"];
    $i++;
    //Affichage des résultats
    echo "$i. $ressource $image <br/>";

}
?>